﻿namespace Microwave.Classes.Controllers.Interfaces;

public interface ICookController
{
    void StartCooking(int power, int time);

    // Necessary in order for PowerTube to be configurable and sync up properly with the limiter on the displayed PowerLevel within MicrowaveController
    int GetPowerTubeMaxPower();

    void Stop();
    void ExtendCookingTime();
}
