using System;
using System.Threading;
using Microwave.Classes.Boundary.Interfaces;

namespace Microwave.Classes.Boundary;

public class Beeper : ISound
{
    private IOutput myOutput;

    public Beeper(IOutput output)
    {
        myOutput = output;
    }

    public void MakeSound()
    {
        myOutput.OutputLine("BEEP");
        Thread.Sleep(1);
        myOutput.OutputLine("BEEP");
        Thread.Sleep(1);
        myOutput.OutputLine("BEEP");
    }
}
