using System;
using System.Threading;
using Microwave.Classes.Boundary.Interfaces;

namespace Microwave.Classes.Boundary;

public class Buzzer : ISound
{
    private IOutput myOutput;

    public Buzzer(IOutput output)
    {
        myOutput = output;
    }

    public void MakeSound()
    {
        myOutput.OutputLine("BZZZZZZZ");
        Thread.Sleep(1);
        myOutput.OutputLine("BZZZZZZZ");
        Thread.Sleep(1);
        myOutput.OutputLine("BZZZZZZZ");
    }
}
